import { AnnotationLayer } from "./AnnotationLayer";
import { CalloutAnnotationCollection } from "./CalloutAnnotationCollection";
import { Series } from "./Series";
import { Brush } from "igniteui-react-core/ES2015/Brush";
import { CalloutCollisionMode } from "./CalloutCollisionMode";
import { CalloutLayerFrame } from "./CalloutLayerFrame";
import { Rect } from "igniteui-react-core/ES2015/Rect";
import { Type, Point, Base } from "igniteui-react-core/ES2015/type";
import { SeriesView } from "./SeriesView";
import { Frame } from "./Frame";
import { Size } from "igniteui-react-core/ES2015/Size";
import { Pool$1 } from "igniteui-react-core/ES2015/Pool$1";
import { AnnotationLayerView } from "./AnnotationLayerView";
import { RenderingContext } from "igniteui-react-core/ES2015/RenderingContext";
import { TextBlock } from "igniteui-react-core/ES2015/TextBlock";
import { IExecutionContext } from "igniteui-react-core/ES2015/IExecutionContext";
import { Visibility } from "igniteui-react-core/ES2015/Visibility";
export declare class CalloutLayer extends AnnotationLayer {
    constructor();
    private nt;
    private ns;
    private m4;
    private m6;
    private nv;
    protected bf(): SeriesView;
    ii(a: SeriesView): void;
    protected mt: CalloutLayerView;
    readonly callouts: CalloutAnnotationCollection;
    private mq;
    private m7;
    mu: Series;
    m2: boolean;
    ob: Brush;
    n9: Brush;
    ne: number;
    oa: Brush;
    na: number;
    ms: CalloutCollisionMode;
    nb: number;
    nc: number;
    protected l7(a: Series, b: boolean): void;
    protected l9(a: Frame, b: SeriesView): void;
    private m5;
    private m3;
    private mv;
    private oc;
    protected jh(a: Rect, b: Rect): void;
    protected jg(a: Rect, b: Rect): void;
    private my;
    private nw;
    private nf;
    private ng;
    private mw;
    private nu;
    private mx;
    private nd;
    private m8;
    private nh;
    protected lu(a: Series): boolean;
    ib(): void;
    private nx;
    private m0;
    private m1;
    private m9;
    private mz;
    protected ny(a: CalloutLayerFrame, b: boolean): void;
    protected mc(a: Frame, b: SeriesView): void;
    protected c5(): boolean;
    protected io(a: any, b: string, c: any, d: any): void;
    static $$p: string[];
    static $t: Type;
}
export declare class CalloutLayerView extends AnnotationLayerView {
    constructor(a: CalloutLayer);
    protected bz: CalloutLayer;
    private b4;
    ap(): void;
    private b1;
    private b6;
    private b8;
    private b7;
    b3: Pool$1<CalloutView>;
    ca(a: Brush): Brush;
    protected a3(a: RenderingContext, b: boolean): void;
    ai(a: any): void;
    private b5;
    cc(a: TextBlock): Size;
    private b0;
    cb(a: any, b: number): Size;
    b2(): IExecutionContext;
    b9(a: CalloutView, b: number, c: number): void;
    static $t: Type;
}
export declare class CalloutView extends Base {
    constructor(a: CalloutLayerView);
    private a;
    s: Visibility;
    h(a: RenderingContext): void;
    private i;
    private p;
    private m;
    private o;
    n: Point;
    l: Brush;
    k: Brush;
    j: Brush;
    d: number;
    private b;
    private r;
    c: number;
    g: any;
    e: number;
    f: number;
    q(): Size;
    static $t: Type;
}
